Bug 186735 - editors/klat4: Fix build with clang
Summary: editors/klat4: Fix build with clang
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-13 18:40 UTC by tkato432
Modified: 2014-02-23 16:20 UTC (History)
0 users

See Also:


Attachments
file.diff (2.37 KB, patch)
2014-02-13 18:40 UTC, tkato432
no flags Details | Diff
editors_klat4.diff (2.37 KB, patch)
2014-02-19 17:56 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2014-02-13 18:40:00 UTC
- Fix build with clang
- Add LICENSE

New file: 
files/patch-klatexecsettingsdlgimpl.cpp
files/patch-klathtmlwidget.cpp
Comment 1 Edwin Groothuis freebsd_committer 2014-02-13 18:40:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2014-02-13 18:40:29 UTC
Maintainer of editors/klat4,

Please note that PR ports/186735 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/186735

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2014-02-13 18:40:30 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 tkato432 2014-02-19 17:56:33 UTC
Remake of the patch against current tree.
Comment 5 Martin Wilke freebsd_committer 2014-02-23 16:11:43 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 6 dfilter service freebsd_committer 2014-02-23 16:11:47 UTC
Author: miwi
Date: Sun Feb 23 16:11:38 2014
New Revision: 345748
URL: http://svnweb.freebsd.org/changeset/ports/345748
QAT: https://qat.redports.org/buildarchive/r345748/

Log:
  - Fix clang build
  - Add License
  - Stage support
  
  PR:		186735
  Submitted by:	ports fury

Added:
  head/editors/klat4/files/
  head/editors/klat4/files/patch-klatexecsettingsdlgimpl.cpp   (contents, props changed)
  head/editors/klat4/files/patch-klathtmlwidget.cpp   (contents, props changed)
Modified:
  head/editors/klat4/Makefile

Modified: head/editors/klat4/Makefile
==============================================================================
--- head/editors/klat4/Makefile	Sun Feb 23 16:10:45 2014	(r345747)
+++ head/editors/klat4/Makefile	Sun Feb 23 16:11:38 2014	(r345748)
@@ -8,14 +8,13 @@ CATEGORIES=	editors
 MASTER_SITES=	http://klat.algebraic.ru/
 
 MAINTAINER=	ports@FreeBSD.org
-COMMENT=	A LaTeX source editor for KDE4
+COMMENT=	LaTeX source editor for KDE4
 
-RUN_DEPENDS=	${KDE4_PREFIX}/lib/kde4/katepart.so:${PORTSDIR}/editors/kate
+LICENSE=	GPLv2 # (or later)
 
 USE_BZIP2=	yes
 USES=		cmake
-USE_KDE4=	kdeprefix kdelibs automoc4
-USE_QT4=	corelib qmake_build moc_build rcc_build uic_build
+USE_KDE4=	automoc4 kate kdelibs kdeprefix
+USE_QT4=	moc_build qmake_build rcc_build uic_build
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Added: head/editors/klat4/files/patch-klatexecsettingsdlgimpl.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/editors/klat4/files/patch-klatexecsettingsdlgimpl.cpp	Sun Feb 23 16:11:38 2014	(r345748)
@@ -0,0 +1,18 @@
+--- klatexecsettingsdlgimpl.cpp.orig
++++ klatexecsettingsdlgimpl.cpp
+@@ -271,6 +271,7 @@
+ 				return tmp.entry().commandLine();
+ //			else if (index.column() == 4)
+ //				return tmp.entry().shortcut().toString();
++			return QVariant();
+ 		} 
+ 		else
+ 			return QVariant();
+@@ -294,6 +295,7 @@
+ 		return QString(i18n("Parameters"));
+ //	else if(sect == 4)
+ //		return QString("Shortcut");
++	return QString("Invisible");
+ }
+ 
+ void KlatExecConfigModel::slotDataChanged(const QModelIndex &top, const QModelIndex &bottom)

Added: head/editors/klat4/files/patch-klathtmlwidget.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/editors/klat4/files/patch-klathtmlwidget.cpp	Sun Feb 23 16:11:38 2014	(r345748)
@@ -0,0 +1,21 @@
+--- klathtmlwidget.cpp.orig
++++ klathtmlwidget.cpp
+@@ -73,7 +73,7 @@
+ 			}
+ 			if(cURL.protocol() == LTRTOKLATPROT && found == true)
+ 			{
+-				for (i ,found = false ; !found && i < len ; i++)
++				for (i = 0, found = false ; !found && i < len ; i++)
+ 				{
+ 					if (code[i] == '}')
+ 					{
+@@ -85,7 +85,9 @@
+ 		}
+ 		
+ 		emit signalSymbolCodeSelected(code,advance);
++		return found;
+ 	}
++	return false;
+ }
+ 
+ void KlatHTMLWidget::openAppDataUrl(const QString &relpath)
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"